from sshcontrol import SshServer

SERVICE_NAME = 'ssh'
SERVICE_PROTOCOL = 'ssh'
SERVICE_TYPE = '_ssh._tcp'
SERVICE_PORT = 1022
SERVICE_URL = 'ssh'

class RemoteAccess:

    def __init__(self, insider, key_gen):
        self.key_gen = key_gen
        self.insider = insider

    def enable(self):
        ssh_server = SshServer()
        private = ssh_server.setup('syncloud', SERVICE_PORT, password_authentication=False)

        self.insider.add_service(SERVICE_NAME, SERVICE_PROTOCOL, SERVICE_TYPE, SERVICE_PORT, SERVICE_URL)

        return private

    def disable(self):
        self.insider.remove_service(SERVICE_NAME)